<% if current_user && !current_user.verifiable? %>
  <div class="missing-confirmation">
    <h2 class="section-heading"><%= t ".unconfirmed.title" %></h2>
  </div>
  <p><%= t ".unconfirmed.explanation_html", email: current_user.email %></p>
  <p><%= t ".unconfirmed.confirmation_instructions" %></p>
  <div class="row">
    <div class="columns medium-8 medium-offset-2">
      <%= link_to t(".unconfirmed.request_confirmation_instructions"), new_confirmation_path(Decidim::User), class: "button expanded" %>
    </div>
  </div>
<% else %>
  <% base_code = authorizations.global_code || :missing %>
  <div class="<%= base_code %>-authorization">
    <h2 class="section-heading"><%= t ".#{base_code}.title" %></h2>
  </div>
  <% authorizations.statuses.each do |status| %>
    <% next if status.ok? || (authorizations.global_code && status.code != base_code) || authorization_anti_affinity.include?(status.handler_name) %>
    <p class="lead"><%= t ".#{status.code}.explanation", authorization: t("#{status.handler_name}.name", scope: "decidim.authorization_handlers") %></p>
    <% if status.data[:extra_explanation] %>
      <p class="extra-explanation"><%= t status.data[:extra_explanation][:key], **status.data[:extra_explanation][:params] %></p>
    <% end %>
    <% status.data[:fields].each do |field, value| %>
      <p class="invalid_field"><strong><%= value %></strong></p>
    <% end %>
    <div class="row">
      <div class="columns medium-8 medium-offset-2">
        <% if status.data[:action].present? %>
          <%= link_to t(".#{status.code}.#{status.data[:action]}", authorization: t("#{status.handler_name}.name", scope: "decidim.authorization_handlers")), authorize_action_path(status.handler_name), class: "button expanded" %>
        <% else %>
          <button class="button expanded" data-close><%= t ".#{status.code}.ok" %></button>
        <% end %>
      </div>
    </div>
    <% if status.data[:cancel] %>
      <div class="text-center">
        <button class="link" data-close><%= t ".#{status.code}.cancel" %></button>
      </div>
    <% end %>
  <% end %>
  <% disabled_methods.each do |handler| %>
    <p class="explanation">
      <%= t ".missing.explanation", authorization: t("#{handler.name}.name", scope: "decidim.authorization_handlers") %>
    </p>
    <%= link_to t("sign_out", scope: "layouts.decidim.user_menu"), decidim.destroy_user_session_path, method: :delete, class: "button expanded" %>
  <% end %>
<% end %>
